odbc_fetch_array
odbc_fetch_object
ODBC Functions
PHP Manual

# odbc_fetch_into

Fetch one result row into array

### Description

int odbc_fetch_into ( resource `$result_id` , array `&$result_array` [, int `$rownumber` ] )

Fetch one result row into array.

### Parameters

`result_id`

  The result resource.

`result_array`

  The result array that can be of any type since it will be converted to type array. The array will contain the column values starting at array index 0.

`rownumber`

  The row number.

### Return Values

Returns the number of columns in the result; `FALSE` on error.

### Changelog

Version | Description
--- | ---
4.2.0 | The `result_array` and `rownumber` parameters have been swapped. This allows the rownumber to be a constant again.
4.0.6 | The `rownumber` can no longer be passed in as a constant, but rather as a variable. This again changed in 4.2.0.
4.0.5 | The `result_array` parameter no longer needs to be passed in by reference.

### Examples

Example #1 odbc_fetch_into examples

`<?php
$rc = odbc_fetch_into($res_id, $my_array);
?>`

or

`<?php
$rc = odbc_fetch_into($res_id, $my_array, 2);
?>`